#!/bin/sh

GIT_COMMIT=$(git rev-parse HEAD)
GIT_BRANCH=$(git rev-parse --abbrev-ref HEAD 2>/dev/null)
GIT_BRANCH_CLEAN=$(echo $GIT_BRANCH | sed -e "s/[^[:alnum:]]/-/g")
GIT_TAG=$(git describe --abbrev=0 --tags)

cat > internal/framework/version/version.go <<DVEOF
// is auto-generated at build-time
package version

// Default build-time variable for lib-import.
// This file is overridden on build with build-time informations.
const (
	GitCommit          string = "${GIT_COMMIT}"
	GitBranch          string = "${GIT_BRANCH_CLEAN}"
	GitTag             string = "${GIT_TAG}"
	BuildTime          string = "$(date)"
)

// AUTOGENERATED FILE; see internal/framework/version/version.go
DVEOF
